use config::Config;
use crate::settings;
use crate::transcoder::repository::Repository;

pub fn setup_command(repository_dir: &str) {
  println!("Initializing video repository at {}...", repository_dir);

  // create and initialize our config and repository objects
  let c: Config = settings::load_config();
  let r: Repository = Repository::new(&shellexpand::tilde(&c.get_string("transcoder.repository").unwrap()));

  // initialize the video repository
  r.initialize();
}
